package com.neusoft.smart.pos.card.persistent.mapper;

import com.neusoft.smart.pos.card.persistent.domain.CardOrder;
import com.neusoft.smart.pos.card.persistent.domain.CardOrderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CardOrderMapper {
    int countByExample(CardOrderExample example);

    int deleteByExample(CardOrderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(CardOrder record);

    int insertSelective(CardOrder record);

    List<CardOrder> selectByExample(CardOrderExample example);

    CardOrder selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") CardOrder record, @Param("example") CardOrderExample example);

    int updateByExample(@Param("record") CardOrder record, @Param("example") CardOrderExample example);

    int updateByPrimaryKeySelective(CardOrder record);

    int updateByPrimaryKey(CardOrder record);

    void batchInsert(@Param("items") List<CardOrder> items);
}